Package wx :: Class StaticBoxSizer

[frames | no frames]

## Type StaticBoxSizer

    object --+
             |
        Object --+
                 |
             Sizer --+
                     |
              BoxSizer --+
                         |
                        StaticBoxSizer

wx.StaticBoxSizer derives from and functions identically to the `wx.BoxSizer` and adds a `wx.StaticBox` around the items that the sizer manages. Note that this static box must be created separately and passed to the sizer constructor.

Method Summary
StaticBoxSizer | ``__init__`(self, box, orient)` Constructor.
StaticBox | ``GetStaticBox`(self)` Returns the static box associated with this sizer.

Property Summary
| `StaticBox`: See `GetStaticBox`
| `thisown`: The membership flag

Method Details

### __init__(self, box, orient=HORIZONTAL)
(Constructor)

Constructor. It takes an associated static box and the orientation orient as parameters - orient can be either of `wx.VERTICAL` or `wx.HORIZONTAL`.

  Parameters:
    `box`
    (type=StaticBox)

    `orient`
    (type=int)

  Returns:
    StaticBoxSizer
  Overrides:
    `wx.BoxSizer.__init__`

### GetStaticBox(self)

Returns the static box associated with this sizer.

  Returns:
    StaticBox

Property Details

### StaticBox

See `GetStaticBox`

  Get Method:
    `GetStaticBox`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:47 2007 | http://epydoc.sf.net